This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 168192 - Review Request: utrac - Universal Text Recognizer and Converter
Review Request: utrac - Universal Text Recognizer and Converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://utrac.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-13 08:35 EDT by Alain Portal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 08:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2005-09-13 08:35:44 EDT
Spec Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SPECS/utrac.spec
SRPM Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SRPMS/utrac-0.3.0-2.src.rpm
Description: Utrac is a command line tool and a library that recognize the encoding
of an input file (ex: UTF-8, ISO-8859-1, CP437...) and its end-of-line
type (CR, LF, CRLF).
It has three main features:
- Automatic recognition (depending on the file and on the system's locale),
  reliable in most cases;
- Assistance for verification or manual recognition;
- Conversion to an other charset and/or end-of-line type.
Comment 1 Aurelien Bompard 2005-09-26 10:44:02 EDT
- change Source tag to http://dl.sf.net/utrac/utrac-0.3.0.tar.gz to make it
  directly downloadable
- rename patch0 to ultrac-destdir.patch (to have the ultrac prefix)
- there are hardcoded paths in the patch. For example, you could replace
  "/usr" with "@PREFIX@" for example, and run a sed substitution to change
  it in %prep. Same idea for %_bindir, %_mandir, %_includedir, and %_datadir
- french description lacks the "-l fr" option
- dont do "rm -rf $RPM_BUILD_DIR/%{name}-%{version}" in %clean
- don't package the INSTALL file, it's useless
- don't own the /usr/share/man/man1 directory
Comment 2 Alain Portal 2005-09-27 04:58:15 EDT
* Tue Sep 27 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.3.0-3   
  - Change Source tag to allow direct download   
  - Update and rename Makefile patch   
  - Override utrac variables in install section   
  - Add "-l fr" forgotten option in french description   
  - Remove "rm -rf $RPM_BUILD_DIR/%{name}-%{version}" statement in %clean   
section   
  - Remove useless INSTALL file   
  - Package don't own /usr/share/man/man1   
  - Contribution of Aurélien Bompard <gauret[AT]free[DOT]fr>   
    Thanks to him   
   
Spec Name or Url:  
http://linuxelectronique.free.fr/download/fedora/4/SPECS/utrac.spec  
SRPM Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/utrac-0.3.0-3.src.rpm 
Comment 3 Aurelien Bompard 2005-09-27 05:43:21 EDT
It looks like utrac does not use Sourceforge's download facility (at least for
version 0.3.0). The proper URL is
http://utrac.sourceforge.net/download/utrac-0.3.0.tar.gz.
Please change it and you're APPROVED.
Comment 4 Alain Portal 2005-09-27 06:58:18 EDT
%changelog  
* Tue Sep 27 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.3.0-4  
  - Change Source tag to allow direct download  
  
Spec Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SPECS/utrac.spec 
SRPM Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/utrac-0.3.0-4.src.rpm  
Comment 5 Aurelien Bompard 2005-09-27 08:06:32 EDT
Review for release 4:
* RPM name is OK
* Source utrac-0.3.0.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Works fine
APPROVED
Comment 6 Alain Portal 2007-07-20 14:36:12 EDT
Package Change Request
======================
Package Name: utrac
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 7 Jens Petersen 2007-07-24 10:00:51 EDT
added

Note You need to log in before you can comment on or make changes to this bug.